%define upstream_name gettext
%define upstream_version 1.07

Name:       perl-Locale-gettext
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 13

Summary:	Message handling functions for Perl
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/Locale/%{upstream_name}-%{upstream_version}.tar.gz
Patch1:		gettext-1.05-SvUTF8_on-on-strings-when-bind_textdomain_codeset-utf8.patch
Patch2:		gettext-1.05-add-iconv.patch

BuildRequires:	gettext-devel
BuildRequires:  perl-devel

%description
The gettext module permits access from perl to the gettext() family of
functions for retrieving message strings from databases constructed to
internationalize software.

It provides gettext(), dgettext(), dcgettext(), textdomain() and
bindtextdomain().

%prep
%setup -q -n Locale-gettext-%{upstream_version}
%autopatch -p1

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
#{__make} test

%install
%make_install

%files
%doc README
%{perl_vendorarch}/Locale
%{perl_vendorarch}/auto/Locale
%{_mandir}/*/*


%changelog
* Wed Jun 17 2020 pterjan <pterjan> 1.70.0-13.mga8
+ Revision: 1594125
- Clean rebuild
- Rebuild for new perl

* Sat Feb 15 2020 umeabot <umeabot> 1.70.0-11.mga8
+ Revision: 1528677
- Mageia 8 Mass Rebuild

* Mon Aug 26 2019 tv <tv> 1.70.0-10.mga8
+ Revision: 1432460
- rebuild with perl-5.30 on BS (for missing signature)
+ tmb <tmb>
- rebuild for perl-5.30.0-4.mga8

* Fri Sep 21 2018 umeabot <umeabot> 1.70.0-8.mga7
+ Revision: 1293374
- Mageia 7 Mass Rebuild

* Sun Aug 05 2018 tmb <tmb> 1.70.0-7.mga7
+ Revision: 1247849
- rebuild for missing signatures
+ pterjan <pterjan>
- Manual rebuild for new perl

* Tue Oct 03 2017 tv <tv> 1.70.0-5.mga7
+ Revision: 1165264
- rebuild with fixed rpm for missing autodeps

* Thu Sep 28 2017 wally <wally> 1.70.0-4.mga7
+ Revision: 1160996
- rebuild for arm

* Wed Aug 30 2017 neoclust <neoclust> 1.70.0-3.mga7
+ Revision: 1148463
- Rebuild on the BS
- Bump release to rebuild against non bootstrapped perl
+ shlomif <shlomif>
- New version 1.07

* Sat Jul 22 2017 neoclust <neoclust> 1.50.0-22.mga7
+ Revision: 1126558
- Rebuild against new Perl 5.26
+ tv <tv>
- rebuild for new perl

* Sun Jun 19 2016 pterjan <pterjan> 1.50.0-20.mga6
+ Revision: 1029226
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 1.50.0-19.mga6
+ Revision: 957664
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 tv <tv> 1.50.0-18.mga6
+ Revision: 843434
- rebuild with soname-ified perl

* Tue Jun 23 2015 tmb <tmb> 1.50.0-17.mga6
+ Revision: 840399
- rebuild with buildsystem
- rebuild with perl-5.22

* Wed Oct 15 2014 umeabot <umeabot> 1.50.0-15.mga5
+ Revision: 746949
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.50.0-14.mga5
+ Revision: 685251
- Mageia 5 Mass Rebuild

* Mon Jun 02 2014 pterjan <pterjan> 1.50.0-13.mga5
+ Revision: 630704
- Rebuild cleanly
- Rebuild for new Perl

* Tue Feb 04 2014 tv <tv> 1.50.0-11.mga5
+ Revision: 581811
- rebuild for new perl

* Sat Oct 19 2013 umeabot <umeabot> 1.50.0-10.mga4
+ Revision: 524055
- Mageia 4 Mass Rebuild

* Wed May 29 2013 tv <tv> 1.50.0-9.mga4
+ Revision: 429914
- rebuild for new perl

* Sun Jan 13 2013 umeabot <umeabot> 1.50.0-8.mga3
+ Revision: 369175
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 24 2012 pterjan <pterjan> 1.50.0-7.mga3
+ Revision: 283398
- Clean rebuild

* Sun Jun 12 2011 ahmad <ahmad> 1.50.0-6.mga2
+ Revision: 104548
- Rebuild for missing signature

* Tue Jan 18 2011 blino <blino> 1.50.0-5.mga1
+ Revision: 23269
- rebuild for new perl

* Mon Jan 10 2011 ahmad <ahmad> 1.50.0-4.mga1
+ Revision: 5300
- drop old conflicts
- imported package perl-Locale-gettext

